using System;

namespace InABox.Core
{
    public class CheckListEditor : BaseComboEditor
    {
        
        public double ColumnWidth { get; set; }
        
        public CheckListEditor(Type generator) : base(generator)
        {
            ColumnWidth = 100.0;
        }

        protected override BaseEditor DoClone()
        {
            var result =  CloneBaseComboEditor();
            if (result is CheckListEditor cbe)
                cbe.ColumnWidth = this.ColumnWidth;
            return result;
        }
    }
}